/* Copyright (c) 1997, MpegTV LLC */
#ifndef _vcd_api_h
#define _vcd_api_h
#ifndef lint
static const char rcsid_vcd_api_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/vcd_api.h,v 1.8 1999/07/24 13:04:33 tristan Exp $";
#endif


/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "mtvp/misc.h"
#include "mtvp/sih_api.h"

/*--------------------------------------------------------------------------+
| Configuration flags														|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/* VCD infos [experimental] */
typedef enum {
	MTVP_SIH_VCD_FEEDBACK_TYPE_VIDEO_TRACKS_INFO
} MTVP_SIH_VCD_FEEDBACK_TYPE;

/* number of video tracks [experimental] */
typedef struct {
	u_int	count;	/* number of video tracks (0 if none) */
	u_int	first;	/* index of first video track */
} MTVP_SIH_VCD_FEEDBACK_DATA_VIDEO_TRACKS_INFO;

/* VCD infos */
typedef union {
	MTVP_SIH_VCD_FEEDBACK_DATA_VIDEO_TRACKS_INFO	video_tracks_info;
} MTVP_SIH_VCD_FEEDBACK_DATA;

/* data coming with A2G_COM_VCD_FEEDBACK [experimental] */
typedef struct {
	MTVP_SIH_VCD_FEEDBACK_TYPE	type;
	MTVP_SIH_VCD_FEEDBACK_DATA	data;
} MTVP_SIH_VCD_FEEDBACK;

/* Specific SIH_CNTL for the VCD SIH */
typedef struct {

	/* MTVP_SIH_CNTL structure must ALWAYS start with int handler_id */
	int handler_id;		/* MTVP_SIH_HANDLER_ID_VCD */

	/* type of VCD-specific message */
	enum {
		MTVP_SIH_CNTL_VCD_TYPE_EJECT = 0,
	} type;	

	/* associated data */
	union {
		char		placeholder;
	} data;
	
} MTVP_SIH_CNTL_VCD;



#endif /* _vcd_api_h */
